| Home | Libraries | People | FAQ | More

##### url_view::size

Return the number of characters in the url.

###### Synopsis

    std::size_t
    size() const;

###### Description

This function returns the number of characters in the url's encoded string, not including any null terminator, if present.

###### Example

    assert( url_view( "file:///Program%20Files" ).size() == 23 );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.